pragma Ada_95;
with System;
package ada_main is
   pragma Warnings (Off);

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 4.7.2 20121109 (ALT Linux 4.7.2-alt7)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_gdialog" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#f0ad05e6#;
   pragma Export (C, u00001, "gdialogB");
   u00002 : constant Version_32 := 16#bebd3d3f#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#7cc1b3c8#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#3ffc8e18#;
   pragma Export (C, u00004, "adaS");
   u00005 : constant Version_32 := 16#b5e303bb#;
   pragma Export (C, u00005, "ada__command_lineB");
   u00006 : constant Version_32 := 16#df5044bd#;
   pragma Export (C, u00006, "ada__command_lineS");
   u00007 : constant Version_32 := 16#72a1f35b#;
   pragma Export (C, u00007, "systemS");
   u00008 : constant Version_32 := 16#90ffdd42#;
   pragma Export (C, u00008, "system__secondary_stackB");
   u00009 : constant Version_32 := 16#66cfd4f5#;
   pragma Export (C, u00009, "system__secondary_stackS");
   u00010 : constant Version_32 := 16#27940d94#;
   pragma Export (C, u00010, "system__parametersB");
   u00011 : constant Version_32 := 16#c443ff9b#;
   pragma Export (C, u00011, "system__parametersS");
   u00012 : constant Version_32 := 16#8c5e58a5#;
   pragma Export (C, u00012, "system__soft_linksB");
   u00013 : constant Version_32 := 16#aed143ad#;
   pragma Export (C, u00013, "system__soft_linksS");
   u00014 : constant Version_32 := 16#955a695d#;
   pragma Export (C, u00014, "ada__exceptionsB");
   u00015 : constant Version_32 := 16#784ab406#;
   pragma Export (C, u00015, "ada__exceptionsS");
   u00016 : constant Version_32 := 16#919fb168#;
   pragma Export (C, u00016, "ada__exceptions__last_chance_handlerB");
   u00017 : constant Version_32 := 16#29e1b15a#;
   pragma Export (C, u00017, "ada__exceptions__last_chance_handlerS");
   u00018 : constant Version_32 := 16#fc178b81#;
   pragma Export (C, u00018, "system__exception_tableB");
   u00019 : constant Version_32 := 16#e3cf2ffe#;
   pragma Export (C, u00019, "system__exception_tableS");
   u00020 : constant Version_32 := 16#84debe5c#;
   pragma Export (C, u00020, "system__htableB");
   u00021 : constant Version_32 := 16#f109bd55#;
   pragma Export (C, u00021, "system__htableS");
   u00022 : constant Version_32 := 16#8b7dad61#;
   pragma Export (C, u00022, "system__string_hashB");
   u00023 : constant Version_32 := 16#543d2bcf#;
   pragma Export (C, u00023, "system__string_hashS");
   u00024 : constant Version_32 := 16#aad75561#;
   pragma Export (C, u00024, "system__exceptionsB");
   u00025 : constant Version_32 := 16#7e5f3bec#;
   pragma Export (C, u00025, "system__exceptionsS");
   u00026 : constant Version_32 := 16#010db1dc#;
   pragma Export (C, u00026, "system__exceptions_debugB");
   u00027 : constant Version_32 := 16#4ad1d68f#;
   pragma Export (C, u00027, "system__exceptions_debugS");
   u00028 : constant Version_32 := 16#b012ff50#;
   pragma Export (C, u00028, "system__img_intB");
   u00029 : constant Version_32 := 16#707a1399#;
   pragma Export (C, u00029, "system__img_intS");
   u00030 : constant Version_32 := 16#ace32e1e#;
   pragma Export (C, u00030, "system__storage_elementsB");
   u00031 : constant Version_32 := 16#886c8ec3#;
   pragma Export (C, u00031, "system__storage_elementsS");
   u00032 : constant Version_32 := 16#dc8e33ed#;
   pragma Export (C, u00032, "system__tracebackB");
   u00033 : constant Version_32 := 16#1326272e#;
   pragma Export (C, u00033, "system__tracebackS");
   u00034 : constant Version_32 := 16#907d882f#;
   pragma Export (C, u00034, "system__wch_conB");
   u00035 : constant Version_32 := 16#cd4add66#;
   pragma Export (C, u00035, "system__wch_conS");
   u00036 : constant Version_32 := 16#22fed88a#;
   pragma Export (C, u00036, "system__wch_stwB");
   u00037 : constant Version_32 := 16#e05bf167#;
   pragma Export (C, u00037, "system__wch_stwS");
   u00038 : constant Version_32 := 16#b8a9e30d#;
   pragma Export (C, u00038, "system__wch_cnvB");
   u00039 : constant Version_32 := 16#d3b45bb0#;
   pragma Export (C, u00039, "system__wch_cnvS");
   u00040 : constant Version_32 := 16#129923ea#;
   pragma Export (C, u00040, "interfacesS");
   u00041 : constant Version_32 := 16#75729fba#;
   pragma Export (C, u00041, "system__wch_jisB");
   u00042 : constant Version_32 := 16#87c6c0a4#;
   pragma Export (C, u00042, "system__wch_jisS");
   u00043 : constant Version_32 := 16#ada34a87#;
   pragma Export (C, u00043, "system__traceback_entriesB");
   u00044 : constant Version_32 := 16#20801d1a#;
   pragma Export (C, u00044, "system__traceback_entriesS");
   u00045 : constant Version_32 := 16#4f750b3b#;
   pragma Export (C, u00045, "system__stack_checkingB");
   u00046 : constant Version_32 := 16#d1034f77#;
   pragma Export (C, u00046, "system__stack_checkingS");
   u00047 : constant Version_32 := 16#af50e98f#;
   pragma Export (C, u00047, "ada__stringsS");
   u00048 : constant Version_32 := 16#914b496f#;
   pragma Export (C, u00048, "ada__strings__fixedB");
   u00049 : constant Version_32 := 16#dc686502#;
   pragma Export (C, u00049, "ada__strings__fixedS");
   u00050 : constant Version_32 := 16#96e9c1e7#;
   pragma Export (C, u00050, "ada__strings__mapsB");
   u00051 : constant Version_32 := 16#24318e4c#;
   pragma Export (C, u00051, "ada__strings__mapsS");
   u00052 : constant Version_32 := 16#cc7093ac#;
   pragma Export (C, u00052, "system__bit_opsB");
   u00053 : constant Version_32 := 16#c30e4013#;
   pragma Export (C, u00053, "system__bit_opsS");
   u00054 : constant Version_32 := 16#1840af2d#;
   pragma Export (C, u00054, "system__unsigned_typesS");
   u00055 : constant Version_32 := 16#12c24a43#;
   pragma Export (C, u00055, "ada__charactersS");
   u00056 : constant Version_32 := 16#051b1b7b#;
   pragma Export (C, u00056, "ada__characters__latin_1S");
   u00057 : constant Version_32 := 16#99f98fe0#;
   pragma Export (C, u00057, "ada__strings__searchB");
   u00058 : constant Version_32 := 16#b5a8c1d6#;
   pragma Export (C, u00058, "ada__strings__searchS");
   u00059 : constant Version_32 := 16#7a69aa90#;
   pragma Export (C, u00059, "ada__strings__maps__constantsS");
   u00060 : constant Version_32 := 16#99756144#;
   pragma Export (C, u00060, "ada__tagsB");
   u00061 : constant Version_32 := 16#db95090b#;
   pragma Export (C, u00061, "ada__tagsS");
   u00062 : constant Version_32 := 16#e6965fe6#;
   pragma Export (C, u00062, "system__val_unsB");
   u00063 : constant Version_32 := 16#08e84216#;
   pragma Export (C, u00063, "system__val_unsS");
   u00064 : constant Version_32 := 16#46a1f7a9#;
   pragma Export (C, u00064, "system__val_utilB");
   u00065 : constant Version_32 := 16#790c6644#;
   pragma Export (C, u00065, "system__val_utilS");
   u00066 : constant Version_32 := 16#b7fa72e7#;
   pragma Export (C, u00066, "system__case_utilB");
   u00067 : constant Version_32 := 16#dfbd93d3#;
   pragma Export (C, u00067, "system__case_utilS");
   u00068 : constant Version_32 := 16#bc0fac87#;
   pragma Export (C, u00068, "ada__text_ioB");
   u00069 : constant Version_32 := 16#29d93336#;
   pragma Export (C, u00069, "ada__text_ioS");
   u00070 : constant Version_32 := 16#1358602f#;
   pragma Export (C, u00070, "ada__streamsS");
   u00071 : constant Version_32 := 16#7a48d8b1#;
   pragma Export (C, u00071, "interfaces__c_streamsB");
   u00072 : constant Version_32 := 16#a539be81#;
   pragma Export (C, u00072, "interfaces__c_streamsS");
   u00073 : constant Version_32 := 16#68344ec2#;
   pragma Export (C, u00073, "system__crtlS");
   u00074 : constant Version_32 := 16#cd08bce0#;
   pragma Export (C, u00074, "system__file_ioB");
   u00075 : constant Version_32 := 16#7fd6f4b6#;
   pragma Export (C, u00075, "system__file_ioS");
   u00076 : constant Version_32 := 16#8cbe6205#;
   pragma Export (C, u00076, "ada__finalizationB");
   u00077 : constant Version_32 := 16#40c80ee1#;
   pragma Export (C, u00077, "ada__finalizationS");
   u00078 : constant Version_32 := 16#f7ab51aa#;
   pragma Export (C, u00078, "system__finalization_rootB");
   u00079 : constant Version_32 := 16#73dd418e#;
   pragma Export (C, u00079, "system__finalization_rootS");
   u00080 : constant Version_32 := 16#b46168d5#;
   pragma Export (C, u00080, "ada__io_exceptionsS");
   u00081 : constant Version_32 := 16#769e25e6#;
   pragma Export (C, u00081, "interfaces__cB");
   u00082 : constant Version_32 := 16#f05a3eb1#;
   pragma Export (C, u00082, "interfaces__cS");
   u00083 : constant Version_32 := 16#7d1c6ec1#;
   pragma Export (C, u00083, "interfaces__c__stringsB");
   u00084 : constant Version_32 := 16#603c1c44#;
   pragma Export (C, u00084, "interfaces__c__stringsS");
   u00085 : constant Version_32 := 16#a50435f4#;
   pragma Export (C, u00085, "system__crtl__runtimeS");
   u00086 : constant Version_32 := 16#ea977b1a#;
   pragma Export (C, u00086, "system__os_libB");
   u00087 : constant Version_32 := 16#a6d80a38#;
   pragma Export (C, u00087, "system__os_libS");
   u00088 : constant Version_32 := 16#4cd8aca0#;
   pragma Export (C, u00088, "system__stringsB");
   u00089 : constant Version_32 := 16#c54bb99f#;
   pragma Export (C, u00089, "system__stringsS");
   u00090 : constant Version_32 := 16#ad9e1d61#;
   pragma Export (C, u00090, "system__file_control_blockS");
   u00091 : constant Version_32 := 16#20f9fa25#;
   pragma Export (C, u00091, "system__finalization_mastersB");
   u00092 : constant Version_32 := 16#18545f77#;
   pragma Export (C, u00092, "system__finalization_mastersS");
   u00093 : constant Version_32 := 16#57a37a42#;
   pragma Export (C, u00093, "system__address_imageB");
   u00094 : constant Version_32 := 16#d34d6e61#;
   pragma Export (C, u00094, "system__address_imageS");
   u00095 : constant Version_32 := 16#7268f812#;
   pragma Export (C, u00095, "system__img_boolB");
   u00096 : constant Version_32 := 16#877882b0#;
   pragma Export (C, u00096, "system__img_boolS");
   u00097 : constant Version_32 := 16#d7aac20c#;
   pragma Export (C, u00097, "system__ioB");
   u00098 : constant Version_32 := 16#ece30414#;
   pragma Export (C, u00098, "system__ioS");
   u00099 : constant Version_32 := 16#a7a37cb6#;
   pragma Export (C, u00099, "system__storage_poolsB");
   u00100 : constant Version_32 := 16#a10fec36#;
   pragma Export (C, u00100, "system__storage_poolsS");
   u00101 : constant Version_32 := 16#ba5d60c7#;
   pragma Export (C, u00101, "system__pool_globalB");
   u00102 : constant Version_32 := 16#d56df0a6#;
   pragma Export (C, u00102, "system__pool_globalS");
   u00103 : constant Version_32 := 16#3ef3e770#;
   pragma Export (C, u00103, "system__memoryB");
   u00104 : constant Version_32 := 16#b82a4f4e#;
   pragma Export (C, u00104, "system__memoryS");
   u00105 : constant Version_32 := 16#6da109c8#;
   pragma Export (C, u00105, "system__storage_pools__subpoolsB");
   u00106 : constant Version_32 := 16#578cba01#;
   pragma Export (C, u00106, "system__storage_pools__subpoolsS");
   u00107 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00107, "gnatS");
   u00108 : constant Version_32 := 16#10f589ff#;
   pragma Export (C, u00108, "gnat__os_libS");
   u00109 : constant Version_32 := 16#9133dc5d#;
   pragma Export (C, u00109, "gtkS");
   u00110 : constant Version_32 := 16#f64d28ae#;
   pragma Export (C, u00110, "gdkS");
   u00111 : constant Version_32 := 16#8f6a0f24#;
   pragma Export (C, u00111, "glibB");
   u00112 : constant Version_32 := 16#21752e94#;
   pragma Export (C, u00112, "glibS");
   u00113 : constant Version_32 := 16#3fbee080#;
   pragma Export (C, u00113, "glib__objectB");
   u00114 : constant Version_32 := 16#c6371ef1#;
   pragma Export (C, u00114, "glib__objectS");
   u00115 : constant Version_32 := 16#398f61a7#;
   pragma Export (C, u00115, "glib__type_conversion_hooksB");
   u00116 : constant Version_32 := 16#445b1475#;
   pragma Export (C, u00116, "glib__type_conversion_hooksS");
   u00117 : constant Version_32 := 16#57aea1c7#;
   pragma Export (C, u00117, "gtkadaS");
   u00118 : constant Version_32 := 16#2723aba6#;
   pragma Export (C, u00118, "gtkada__bindingsB");
   u00119 : constant Version_32 := 16#f468c034#;
   pragma Export (C, u00119, "gtkada__bindingsS");
   u00120 : constant Version_32 := 16#7d3103a4#;
   pragma Export (C, u00120, "gnat__stringsS");
   u00121 : constant Version_32 := 16#100afe53#;
   pragma Export (C, u00121, "gtkada__cB");
   u00122 : constant Version_32 := 16#d3bdae79#;
   pragma Export (C, u00122, "gtkada__cS");
   u00123 : constant Version_32 := 16#6fb6efdc#;
   pragma Export (C, u00123, "gtkada__typesB");
   u00124 : constant Version_32 := 16#d40fa06f#;
   pragma Export (C, u00124, "gtkada__typesS");
   u00125 : constant Version_32 := 16#2d0faf9d#;
   pragma Export (C, u00125, "glib__glistB");
   u00126 : constant Version_32 := 16#18430f66#;
   pragma Export (C, u00126, "glib__glistS");
   u00127 : constant Version_32 := 16#3b2e7eed#;
   pragma Export (C, u00127, "glib__gslistB");
   u00128 : constant Version_32 := 16#f2023829#;
   pragma Export (C, u00128, "glib__gslistS");
   u00129 : constant Version_32 := 16#a6e358bc#;
   pragma Export (C, u00129, "system__stream_attributesB");
   u00130 : constant Version_32 := 16#e89b4b3f#;
   pragma Export (C, u00130, "system__stream_attributesS");
   u00131 : constant Version_32 := 16#8b0f7857#;
   pragma Export (C, u00131, "gtk__enumsB");
   u00132 : constant Version_32 := 16#86b606e6#;
   pragma Export (C, u00132, "gtk__enumsS");
   u00133 : constant Version_32 := 16#0e79405d#;
   pragma Export (C, u00133, "glib__generic_propertiesB");
   u00134 : constant Version_32 := 16#0dfedcb1#;
   pragma Export (C, u00134, "glib__generic_propertiesS");
   u00135 : constant Version_32 := 16#0e2b843e#;
   pragma Export (C, u00135, "glib__valuesB");
   u00136 : constant Version_32 := 16#eac25233#;
   pragma Export (C, u00136, "glib__valuesS");
   u00137 : constant Version_32 := 16#a88635f5#;
   pragma Export (C, u00137, "gtk__mainB");
   u00138 : constant Version_32 := 16#d1ce965d#;
   pragma Export (C, u00138, "gtk__mainS");
   u00139 : constant Version_32 := 16#e6c57dae#;
   pragma Export (C, u00139, "gdk__typesS");
   u00140 : constant Version_32 := 16#eaf61126#;
   pragma Export (C, u00140, "gdk__eventB");
   u00141 : constant Version_32 := 16#a90de120#;
   pragma Export (C, u00141, "gdk__eventS");
   u00142 : constant Version_32 := 16#7ec51be2#;
   pragma Export (C, u00142, "gdk__rectangleB");
   u00143 : constant Version_32 := 16#3ace198e#;
   pragma Export (C, u00143, "gdk__rectangleS");
   u00144 : constant Version_32 := 16#a738a1a3#;
   pragma Export (C, u00144, "cairoB");
   u00145 : constant Version_32 := 16#3562ddec#;
   pragma Export (C, u00145, "cairoS");
   u00146 : constant Version_32 := 16#50ae1241#;
   pragma Export (C, u00146, "cairo__regionB");
   u00147 : constant Version_32 := 16#3ad35712#;
   pragma Export (C, u00147, "cairo__regionS");
   u00148 : constant Version_32 := 16#b7ed16af#;
   pragma Export (C, u00148, "gdk__windowB");
   u00149 : constant Version_32 := 16#dd9eda6e#;
   pragma Export (C, u00149, "gdk__windowS");
   u00150 : constant Version_32 := 16#933bb66f#;
   pragma Export (C, u00150, "gtk__widgetB");
   u00151 : constant Version_32 := 16#c723bfc6#;
   pragma Export (C, u00151, "gtk__widgetS");
   u00152 : constant Version_32 := 16#d7de8c04#;
   pragma Export (C, u00152, "gdk__colorB");
   u00153 : constant Version_32 := 16#be8c9938#;
   pragma Export (C, u00153, "gdk__colorS");
   u00154 : constant Version_32 := 16#cf3c2289#;
   pragma Export (C, u00154, "gdk__visualB");
   u00155 : constant Version_32 := 16#4a3b371f#;
   pragma Export (C, u00155, "gdk__visualS");
   u00156 : constant Version_32 := 16#51352fb6#;
   pragma Export (C, u00156, "gtk__styleB");
   u00157 : constant Version_32 := 16#adc59eaa#;
   pragma Export (C, u00157, "gtk__styleS");
   u00158 : constant Version_32 := 16#d3c8e76d#;
   pragma Export (C, u00158, "pangoS");
   u00159 : constant Version_32 := 16#7e92ca7e#;
   pragma Export (C, u00159, "pango__fontB");
   u00160 : constant Version_32 := 16#22819bd5#;
   pragma Export (C, u00160, "pango__fontS");
   u00161 : constant Version_32 := 16#853ec0b7#;
   pragma Export (C, u00161, "pango__enumsB");
   u00162 : constant Version_32 := 16#f3fe5737#;
   pragma Export (C, u00162, "pango__enumsS");
   u00163 : constant Version_32 := 16#41ff97f6#;
   pragma Export (C, u00163, "gdk__fontB");
   u00164 : constant Version_32 := 16#36f135f3#;
   pragma Export (C, u00164, "gdk__fontS");
   u00165 : constant Version_32 := 16#0ac5a7fd#;
   pragma Export (C, u00165, "gdk__gcB");
   u00166 : constant Version_32 := 16#17b10250#;
   pragma Export (C, u00166, "gdk__gcS");
   u00167 : constant Version_32 := 16#90f9ba58#;
   pragma Export (C, u00167, "gdk__regionB");
   u00168 : constant Version_32 := 16#c39790b5#;
   pragma Export (C, u00168, "gdk__regionS");
   u00169 : constant Version_32 := 16#87fd2f45#;
   pragma Export (C, u00169, "gdk__pixmapB");
   u00170 : constant Version_32 := 16#af0526c2#;
   pragma Export (C, u00170, "gdk__pixmapS");
   u00171 : constant Version_32 := 16#ed02b600#;
   pragma Export (C, u00171, "gdk__bitmapB");
   u00172 : constant Version_32 := 16#f567db9b#;
   pragma Export (C, u00172, "gdk__bitmapS");
   u00173 : constant Version_32 := 16#ee731430#;
   pragma Export (C, u00173, "gtk__objectB");
   u00174 : constant Version_32 := 16#4e072ff5#;
   pragma Export (C, u00174, "gtk__objectS");
   u00175 : constant Version_32 := 16#17a869e9#;
   pragma Export (C, u00175, "glib__propertiesB");
   u00176 : constant Version_32 := 16#3797f611#;
   pragma Export (C, u00176, "glib__propertiesS");
   u00177 : constant Version_32 := 16#e43c44ee#;
   pragma Export (C, u00177, "pango__layoutB");
   u00178 : constant Version_32 := 16#32af7128#;
   pragma Export (C, u00178, "pango__layoutS");
   u00179 : constant Version_32 := 16#c0be7ba1#;
   pragma Export (C, u00179, "pango__attributesB");
   u00180 : constant Version_32 := 16#666d7227#;
   pragma Export (C, u00180, "pango__attributesS");
   u00181 : constant Version_32 := 16#c7604f64#;
   pragma Export (C, u00181, "pango__contextB");
   u00182 : constant Version_32 := 16#df5146b2#;
   pragma Export (C, u00182, "pango__contextS");
   u00183 : constant Version_32 := 16#f1493a4a#;
   pragma Export (C, u00183, "pango__tabsB");
   u00184 : constant Version_32 := 16#c159aa01#;
   pragma Export (C, u00184, "pango__tabsS");
   u00185 : constant Version_32 := 16#9a5925f9#;
   pragma Export (C, u00185, "gtk__windowB");
   u00186 : constant Version_32 := 16#64f6f30a#;
   pragma Export (C, u00186, "gtk__windowS");
   u00187 : constant Version_32 := 16#69f90ada#;
   pragma Export (C, u00187, "gdk__pixbufB");
   u00188 : constant Version_32 := 16#e99e123a#;
   pragma Export (C, u00188, "gdk__pixbufS");
   u00189 : constant Version_32 := 16#d384dc6b#;
   pragma Export (C, u00189, "gdk__cursorB");
   u00190 : constant Version_32 := 16#a5c39181#;
   pragma Export (C, u00190, "gdk__cursorS");
   u00191 : constant Version_32 := 16#0310d407#;
   pragma Export (C, u00191, "gdk__displayB");
   u00192 : constant Version_32 := 16#a37ccb2a#;
   pragma Export (C, u00192, "gdk__displayS");
   u00193 : constant Version_32 := 16#49e588ad#;
   pragma Export (C, u00193, "gdk__drawableB");
   u00194 : constant Version_32 := 16#5ab47d3c#;
   pragma Export (C, u00194, "gdk__drawableS");
   u00195 : constant Version_32 := 16#296df726#;
   pragma Export (C, u00195, "gdk__rgbB");
   u00196 : constant Version_32 := 16#d376c0c2#;
   pragma Export (C, u00196, "gdk__rgbS");
   u00197 : constant Version_32 := 16#e823a664#;
   pragma Export (C, u00197, "glib__errorB");
   u00198 : constant Version_32 := 16#ef11e73d#;
   pragma Export (C, u00198, "glib__errorS");
   u00199 : constant Version_32 := 16#4105bdf9#;
   pragma Export (C, u00199, "gtk__accel_groupB");
   u00200 : constant Version_32 := 16#c1d3ea52#;
   pragma Export (C, u00200, "gtk__accel_groupS");
   u00201 : constant Version_32 := 16#a197cf03#;
   pragma Export (C, u00201, "gtk__binB");
   u00202 : constant Version_32 := 16#49646a83#;
   pragma Export (C, u00202, "gtk__binS");
   u00203 : constant Version_32 := 16#b4691deb#;
   pragma Export (C, u00203, "glib__typesB");
   u00204 : constant Version_32 := 16#a01730fd#;
   pragma Export (C, u00204, "glib__typesS");
   u00205 : constant Version_32 := 16#21574a83#;
   pragma Export (C, u00205, "gtk__buildableB");
   u00206 : constant Version_32 := 16#91a889d8#;
   pragma Export (C, u00206, "gtk__buildableS");
   u00207 : constant Version_32 := 16#9a562d9d#;
   pragma Export (C, u00207, "gtk__builderB");
   u00208 : constant Version_32 := 16#469cb482#;
   pragma Export (C, u00208, "gtk__builderS");
   u00209 : constant Version_32 := 16#f9e0e054#;
   pragma Export (C, u00209, "gtk__containerB");
   u00210 : constant Version_32 := 16#fe9a550d#;
   pragma Export (C, u00210, "gtk__containerS");
   u00211 : constant Version_32 := 16#d43b17a9#;
   pragma Export (C, u00211, "gtk__adjustmentB");
   u00212 : constant Version_32 := 16#87a9fd8d#;
   pragma Export (C, u00212, "gtk__adjustmentS");
   u00213 : constant Version_32 := 16#700df112#;
   pragma Export (C, u00213, "gtkada__dialogsB");
   u00214 : constant Version_32 := 16#95807dbe#;
   pragma Export (C, u00214, "gtkada__dialogsS");
   u00215 : constant Version_32 := 16#ac830e6e#;
   pragma Export (C, u00215, "gtk__boxB");
   u00216 : constant Version_32 := 16#3eadf058#;
   pragma Export (C, u00216, "gtk__boxS");
   u00217 : constant Version_32 := 16#04c07fef#;
   pragma Export (C, u00217, "gtk__orientableB");
   u00218 : constant Version_32 := 16#2882c3d4#;
   pragma Export (C, u00218, "gtk__orientableS");
   u00219 : constant Version_32 := 16#dc38657a#;
   pragma Export (C, u00219, "gtk__labelB");
   u00220 : constant Version_32 := 16#443eed3e#;
   pragma Export (C, u00220, "gtk__labelS");
   u00221 : constant Version_32 := 16#73990cc1#;
   pragma Export (C, u00221, "gtk__miscB");
   u00222 : constant Version_32 := 16#28c2780b#;
   pragma Export (C, u00222, "gtk__miscS");
   u00223 : constant Version_32 := 16#a637cc25#;
   pragma Export (C, u00223, "gtk__pixmapB");
   u00224 : constant Version_32 := 16#582aa316#;
   pragma Export (C, u00224, "gtk__pixmapS");
   u00225 : constant Version_32 := 16#a61a2ca1#;
   pragma Export (C, u00225, "gtkada__intlB");
   u00226 : constant Version_32 := 16#d1bbb778#;
   pragma Export (C, u00226, "gtkada__intlS");
   u00227 : constant Version_32 := 16#95e49ce1#;
   pragma Export (C, u00227, "gtkada__pixmapsS");
   u00228 : constant Version_32 := 16#dd13bf65#;
   pragma Export (C, u00228, "system__exn_lliB");
   u00229 : constant Version_32 := 16#f33688f4#;
   pragma Export (C, u00229, "system__exn_lliS");
   u00230 : constant Version_32 := 16#6f001a54#;
   pragma Export (C, u00230, "system__exp_unsB");
   u00231 : constant Version_32 := 16#258c0c87#;
   pragma Export (C, u00231, "system__exp_unsS");
   u00232 : constant Version_32 := 16#94fe1c6e#;
   pragma Export (C, u00232, "gtk__dialogB");
   u00233 : constant Version_32 := 16#8fa4d0bf#;
   pragma Export (C, u00233, "gtk__dialogS");
   u00234 : constant Version_32 := 16#1eab0e09#;
   pragma Export (C, u00234, "system__img_enum_newB");
   u00235 : constant Version_32 := 16#f5a638ab#;
   pragma Export (C, u00235, "system__img_enum_newS");
   u00236 : constant Version_32 := 16#96c125d4#;
   pragma Export (C, u00236, "system__val_enumB");
   u00237 : constant Version_32 := 16#c9bbb1ce#;
   pragma Export (C, u00237, "system__val_enumS");
   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.latin_1%s
   --  ada.command_line%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  system.case_util%s
   --  system.case_util%b
   --  system.exn_lli%s
   --  system.exn_lli%b
   --  system.htable%s
   --  system.img_bool%s
   --  system.img_bool%b
   --  system.img_enum_new%s
   --  system.img_enum_new%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.io%s
   --  system.io%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  gnat.strings%s
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  system.soft_links%s
   --  system.unsigned_types%s
   --  system.exp_uns%s
   --  system.exp_uns%b
   --  system.val_enum%s
   --  system.val_uns%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_uns%b
   --  system.val_enum%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  system.address_image%s
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.io_exceptions%s
   --  ada.strings%s
   --  ada.strings.maps%s
   --  ada.strings.fixed%s
   --  ada.strings.maps.constants%s
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.tags%s
   --  ada.streams%s
   --  interfaces.c%s
   --  interfaces.c.strings%s
   --  system.crtl.runtime%s
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.secondary_stack%s
   --  interfaces.c.strings%b
   --  interfaces.c%b
   --  ada.tags%b
   --  ada.strings.fixed%b
   --  ada.strings.maps%b
   --  system.soft_links%b
   --  ada.command_line%b
   --  system.secondary_stack%b
   --  system.address_image%b
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.finalization%b
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.finalization_masters%b
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools%b
   --  system.os_lib%s
   --  system.os_lib%b
   --  gnat.os_lib%s
   --  system.pool_global%s
   --  system.pool_global%b
   --  system.file_control_block%s
   --  system.file_io%s
   --  system.file_io%b
   --  system.traceback%s
   --  ada.exceptions%b
   --  system.traceback%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  glib%s
   --  glib%b
   --  gdk%s
   --  glib.error%s
   --  glib.error%b
   --  gtkada%s
   --  gtkada.intl%s
   --  gtkada.intl%b
   --  gtkada.types%s
   --  gtkada.types%b
   --  pango%s
   --  cairo%s
   --  cairo%b
   --  cairo.region%s
   --  cairo.region%b
   --  gdk.rectangle%s
   --  gdk.rectangle%b
   --  glib.glist%s
   --  glib.glist%b
   --  gdk.visual%s
   --  gdk.visual%b
   --  glib.gslist%s
   --  glib.gslist%b
   --  glib.object%s
   --  glib.type_conversion_hooks%s
   --  glib.type_conversion_hooks%b
   --  glib.types%s
   --  glib.values%s
   --  glib.values%b
   --  gdk.color%s
   --  gdk.cursor%s
   --  gdk.cursor%b
   --  glib.generic_properties%s
   --  glib.generic_properties%b
   --  gtk%s
   --  gtkada.c%s
   --  gtkada.c%b
   --  gtkada.bindings%s
   --  gtkada.bindings%b
   --  glib.types%b
   --  glib.object%b
   --  gdk.color%b
   --  gdk.types%s
   --  gdk.region%s
   --  gdk.region%b
   --  gdk.event%s
   --  gdk.display%s
   --  gdk.display%b
   --  gdk.window%s
   --  gdk.event%b
   --  gdk.bitmap%s
   --  gdk.bitmap%b
   --  gdk.pixmap%s
   --  gdk.pixmap%b
   --  glib.properties%s
   --  glib.properties%b
   --  gtk.accel_group%s
   --  gtk.accel_group%b
   --  gtk.enums%s
   --  gtk.enums%b
   --  gtk.object%s
   --  gtk.object%b
   --  gtk.adjustment%s
   --  gtk.adjustment%b
   --  gtk.orientable%s
   --  gtk.orientable%b
   --  gtkada.pixmaps%s
   --  pango.enums%s
   --  pango.enums%b
   --  pango.attributes%s
   --  pango.attributes%b
   --  pango.font%s
   --  pango.font%b
   --  gdk.font%s
   --  gdk.font%b
   --  gdk.gc%s
   --  gdk.gc%b
   --  pango.context%s
   --  pango.context%b
   --  pango.tabs%s
   --  pango.tabs%b
   --  pango.layout%s
   --  pango.layout%b
   --  gdk.drawable%s
   --  gdk.drawable%b
   --  gdk.rgb%s
   --  gdk.rgb%b
   --  gdk.pixbuf%s
   --  gdk.pixbuf%b
   --  gtk.style%s
   --  gtk.style%b
   --  gtk.widget%s
   --  gdk.window%b
   --  gtk.builder%s
   --  gtk.builder%b
   --  gtk.buildable%s
   --  gtk.buildable%b
   --  gtk.container%s
   --  gtk.container%b
   --  gtk.bin%s
   --  gtk.bin%b
   --  gtk.box%s
   --  gtk.box%b
   --  gtk.main%s
   --  gtk.main%b
   --  gtk.misc%s
   --  gtk.misc%b
   --  gtk.label%s
   --  gtk.label%b
   --  gtk.window%s
   --  gtk.window%b
   --  gtk.widget%b
   --  gtk.dialog%s
   --  gtk.dialog%b
   --  gtk.pixmap%s
   --  gtk.pixmap%b
   --  gtkada.dialogs%s
   --  gtkada.dialogs%b
   --  gdialog%b
   --  END ELABORATION ORDER


end ada_main;
